/* -------------------------------------------------------------- */
/* DR DELAY MASTERFILE                                            */
/*                                                                */
/* AUTHOR: Xavier Gine, Meritxell Martinez and Virginia Melo      */
/* LAST UPDATE: Sept 2023                                         */
/* -------------------------------------------------------------- */
********************************************************************************
*** WORKSPACE SET-UP ***
********************************************************************************

	clear all
    version 15
	set more off
	capture program drop _all
	capture log close
	set varabbrev on                                                                                                                                                                         /*on if you want to catch background problemsORissues*/
	set seed 1234
	
/* 
        To run this file on your system:
                Copy Paste the IF HOSTNAME If below, using your own hostname that you might find with the di code below
				Once you add an IF statement with your own hostname, it will work for all users listed.
				 
        
*/


	local hostname "`c(hostname)'"
	di "`c(hostname)'"
	
		
		if "`hostname'" == "YOUR HOSTNAME" {
		global dir "C:\Users\YOUR ROOT\Replication Package Delay" 
		
		}	
		
		
		
cd "$dir"
do "codes/__SetDir.do" // This will set the correct directories

/* Load programs ------------------------------------------------ */
run "$codes/_name.do"


// INSTALL SOFTWARE if NEEDED
* The packages are in the ado file uncomment if neccesary
sysdir set PLUS "codes/ado"
*local packages outreg2
*foreach package in `packages' {
*	capture which `package'
*	if _rc == 111 {
*		ssc install `package'
*	}
*}

*capture which ietoolkit
* if _rc == 111 {
*	set sslrelax on
*	net install ietoolkit, from("https://raw.githubusercontent.com/worldbank/ietoolkit/v6.4/src") replace
*}


/* ANALYSIS code ------------------------------------------------ */
do "$codes/_ortho_checks_NEW.do" // Produces Table A2, A3 & A4
do "$codes/_chart_monthstofu.do" // Produces figure A3
do "$codes/_main_outcomes - time - panel.do" // Produces table 1 & tables A5, A6 & A7
do "$codes/_code_nl.do" // Produces table 2, 3 and A8. To replicate, please read every comment under each result on Stata, indicating what result it is on the corresponding table.
do "$codes/_code_nl_child.do" // Produces table A10 and A11. To replicate, please read every comment under each result on Stata, indicating what result it is on the corresponding table.


